package io.hmit.modules.appointment.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 预约时间管理
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-15
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("appointment_time_manage")
public class AppointmentTimeManageEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 开始时间
     */
	private Date startTime;
    /**
     * 结束时间
     */
	private Date endTime;
    /**
     * 时间类型
     */
	private String timeType;
    /**
     * 时间间隔
     */
	private String period;
    /**
     * 使用状态 1 正在使用; 2  未使用
     */
	private String useState;
}