package io.hmit.modules.appointment.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 预约时间管理
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-15
 */
@Data
public class AppointmentTimeManageExcel {
    @Excel(name = "主键ID")
    private Long id;
    @Excel(name = "开始时间")
    private Date startTime;
    @Excel(name = "结束时间")
    private Date endTime;
    @Excel(name = "时间类型")
    private String timeType;
    @Excel(name = "时间间隔")
    private String period;
    @Excel(name = "使用状态 1 正在使用; 2  未使用")
    private String useState;

}