package io.hmit.modules.appointment.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.modules.appointment.dao.AppointmentOrderServiceDao;
import io.hmit.modules.appointment.dto.AppointmentOrderServiceDTO;
import io.hmit.modules.appointment.entity.AppointmentOrderServiceEntity;
import io.hmit.modules.appointment.service.AppointmentOrderServiceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 订单服务关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Service
public class AppointmentOrderServiceServiceImpl extends CrudServiceImpl<AppointmentOrderServiceDao, AppointmentOrderServiceEntity, AppointmentOrderServiceDTO> implements AppointmentOrderServiceService {

    @Override
    public QueryWrapper<AppointmentOrderServiceEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AppointmentOrderServiceEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}