package io.hmit.modules.appointment.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 订单服务关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("appointment_order_service")
public class AppointmentOrderServiceEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
	private Long orderId;
    /**
     * 服务id
     */
	private Long serviceId;
    /**
     * 备注
     */
	private String remark;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}