package io.hmit.modules.appointment.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 预约时间管理
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-15
 */
@Data
@ApiModel(value = "预约时间管理")
public class AppointmentTimeManageDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID")
	private Long id;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;

	@ApiModelProperty(value = "时间类型")
	private String timeType;

	@ApiModelProperty(value = "时间间隔")
	private String period;

	@ApiModelProperty(value = "使用状态 1 正在使用; 2  未使用")
	private String useState;


}