package io.hmit.modules.appointment.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 预约订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
public class AppointmentOrderExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "预约工单编号(自己系统留痕用)")
    private String orderNum;
    @Excel(name = "预约取单号(取号系统生成)")
    private String appointmentNum;
    @Excel(name = "预约工单状态 0未预约 ，1已预约  2已完成 3已取消")
    private Integer status;
    @Excel(name = "预约工单状态名称")
    private String statusName;
    @Excel(name = "预约所属的服务事项id")
    private Long serviceId;
    @Excel(name = "预约所属的服务事项名称")
    private String serviceName;
    @Excel(name = "是否浙里办预约 0否，1是")
    private Integer isApp;
    @Excel(name = "预约订单所在队列id")
    private Long orderQueueId;
    @Excel(name = "预约人")
    private String appointmentPerson;
    @Excel(name = "预约人电话")
    private String appointmentPhone;
    @Excel(name = "预约人身份证号码")
    private String appointmentIdCard;
    @Excel(name = "预约时间")
    private Date appointmentTime;
    @Excel(name = "服务办事窗口")
    private String serviceWindow;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "部门ID")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "订单发起人")
    private String creatorName;
    @Excel(name = "订单发起人联系电话")
    private String creatorTel;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}