package io.hmit.modules.appointment.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 可供预约的服务事项种类(不确定是否数据落地)。
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
public class AppointmentServiceExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "服务事项名称")
    private String serviceName;
    @Excel(name = "服务事项父类id")
    private Long serviceParentId;
    @Excel(name = "排序")
    private Integer sort;
    @Excel(name = "首页图标地址")
    private String icon;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "部门ID")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}